#!/bin/bash

wget http://www.asterisk-support.de/mirror/zaptel/zaptel-1.0.8.tar.gz
wget http://www.asterisk-support.de/mirror/libpri/libpri-1.0.8.tar.gz
wget http://www.asterisk-support.de/mirror/asterisk-1.08-STABLE/asterisk-1.0.8.tar.gz

gzip -d ./*.gz

tar -xf zaptel-1.0.8.tar
tar -xf libpri-1.0.8.tar
tar -xf asterisk-1.0.8.tar

cd zaptel-1.0.8
patch -p1 < ../patches/zaptel.patch
cd ..

cd libpri-1.0.8
patch -p1 < ../patches/libpri.patch
cd ..

cd asterisk-1.0.8
patch -p1 < ../patches/asterisk.patch
cd ..

echo "****************************************************"
echo "         Downloading and patching finished."
echo "****************************************************"
